#ifndef GLOBALCANVASSETTINGS_H
#define GLOBALCANVASSETTINGS_H

#include <glm/glm.hpp>

class GlobalCanvasSettings
{
	public:
		static void setProjectionMatrix(const glm::mat4 &proj);
		static void setViewMatrix(const glm::mat4 &view);
		static const glm::mat4 &getViewMatrix();
		static const glm::mat4 &getProjectionMatrix();
		static const glm::mat4 &getPVMatrix();
	private:
		static void calculatePVMatrix();
		static glm::mat4 m_proj;
		static glm::mat4 m_view;
		static glm::mat4 m_proj_view;
};

#endif // GLOBALCANVASSETTINGS_H
